Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit
Class RendererUtils

    java.lang.Object
      org.apache.myfaces.shared_orchestra.renderkit.RendererUtils

    public final class RendererUtils

extends java.lang.Object

Version:
  $Revision: 513799 $ $Date: 2007-03-02 16:03:40 +0100 (Fr, 02 Mär 2007) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Field Summary
`static java.lang.String` | `ACTION_FOR_LIST`
`static java.lang.String` | `ACTION_FOR_PHASE_LIST`
`static java.lang.String` | `EMPTY_STRING`
`static java.lang.Object` | `NOTHING`
`static java.lang.String` | `SELECT_ITEM_LIST_ATTR`

Method Summary
`static void` | `addOrReplaceChild(javax.faces.component.UIInput component, javax.faces.component.UIComponent child)`
`static void` | `checkParamValidity(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.Class compClass)`
`static java.util.List` | `convertIdsToClientIds(java.lang.String actionFor, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`static java.util.List` | `convertPhasesToPhasesIds(java.lang.String actionForPhase)`
`static void` | `copyHtmlInputTextAttributes(javax.faces.component.html.HtmlInputText src, javax.faces.component.html.HtmlInputText dest)`
`static javax.faces.component.UIComponent` | `findComponent(javax.faces.component.UIComponent headerComp, java.lang.Class clazz)`
`static FormInfo` | `findNestingForm(javax.faces.component.UIComponent uiComponent, javax.faces.context.FacesContext facesContext)` Find the enclosing form of a component in the view-tree.
`static javax.faces.convert.Converter` | `findUIOutputConverter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIOutput component)` Find the proper Converter for the given UIOutput component.
`static javax.faces.convert.Converter` | `findUISelectManyConverter(javax.faces.context.FacesContext facesContext, javax.faces.component.UISelectMany component)` Find proper Converter for the entries in the associated List or Array of the given UISelectMany as specified in API Doc of UISelectMany.
`static boolean` | `getBooleanAttribute(javax.faces.component.UIComponent component, java.lang.String attrName, boolean defaultValue)`
`static boolean` | `getBooleanValue(java.lang.String attribute, java.lang.Object value, boolean defaultValue)`
`static java.lang.Boolean` | `getBooleanValue(javax.faces.component.UIComponent component)`
`static java.lang.String` | `getClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.String forAttr)`
`static java.lang.String` | `getConcatenatedId(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`static java.lang.String` | `getConcatenatedId(javax.faces.context.FacesContext context, javax.faces.component.UIComponent container, java.lang.String clientId)`
`static java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.convert.Converter converter, java.lang.Object value)` Convenient utility method that returns the currently given value as String, using the given converter.
`static java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.convert.Converter converter, javax.faces.model.SelectItem selectItem)` Convenient utility method that returns the currently given SelectItem value as String, using the given converter.
`static java.lang.Object` | `getConvertedUIOutputValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIOutput output, java.lang.Object submittedValue)`
`static java.lang.Object` | `getConvertedUISelectManyValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UISelectMany selectMany, java.lang.Object submittedValue)`
`static java.util.Date` | `getDateValue(javax.faces.component.UIComponent component)`
`static int` | `getIntegerAttribute(javax.faces.component.UIComponent component, java.lang.String attrName, int defaultValue)`
`static java.lang.Object` | `getObjectValue(javax.faces.component.UIComponent component)`
`static java.lang.String` | `getPathToComponent(javax.faces.component.UIComponent component)`
`static java.util.Set` | `getSelectedValuesAsSet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.convert.Converter converter, javax.faces.component.UISelectMany uiSelectMany)` Convenient utility method that returns the currently selected values of a UISelectMany component as a Set, of which the contains method can then be easily used to determine if a value is currently selected.
`static java.util.List` | `getSelectItemList(javax.faces.component.UISelectMany uiSelectMany)`
`static java.util.List` | `getSelectItemList(javax.faces.component.UISelectOne uiSelectOne)`
`static java.lang.String` | `getStringValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`static java.lang.String` | `getStringValue(javax.faces.context.FacesContext context, javax.faces.el.ValueBinding vb)`
`static java.util.Set` | `getSubmittedValuesAsSet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.convert.Converter converter, javax.faces.component.UISelectMany uiSelectMany)` Convenient utility method that returns the currently submitted values of a UISelectMany component as a Set, of which the contains method can then be easily used to determine if a select item is currently selected.
`static void` | `initPartialValidationAndModelUpdate(javax.faces.component.UIComponent component, javax.faces.context.FacesContext facesContext)` check for partial validation or model update attributes being set and initialize the request-map accordingly.
`static boolean` | `isAdfOrTrinidadForm(javax.faces.component.UIComponent component)`
`static boolean` | `isDefaultAttributeValue(java.lang.Object value)` See JSF Spec.
`static java.lang.String` | `loadResourceFile(javax.faces.context.FacesContext ctx, java.lang.String file)` Helper method which loads a resource file (such as css) by a given context path and a file name.
`static void` | `renderChild(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent child)`
`static void` | `renderChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECT_ITEM_LIST_ATTR

    public static final java.lang.String SELECT_ITEM_LIST_ATTR

### EMPTY_STRING

    public static final java.lang.String EMPTY_STRING

See Also:
  Constant Field Values

### NOTHING

    public static final java.lang.Object NOTHING

### ACTION_FOR_LIST

    public static final java.lang.String ACTION_FOR_LIST

See Also:
  Constant Field Values

### ACTION_FOR_PHASE_LIST

    public static final java.lang.String ACTION_FOR_PHASE_LIST

See Also:
  Constant Field Values

Method Detail

### getPathToComponent

    public static java.lang.String getPathToComponent(javax.faces.component.UIComponent component)

### getConcatenatedId

    public static java.lang.String getConcatenatedId(javax.faces.context.FacesContext context,
                                                     javax.faces.component.UIComponent container,
                                                     java.lang.String clientId)

### getConcatenatedId

    public static java.lang.String getConcatenatedId(javax.faces.context.FacesContext context,
                                                     javax.faces.component.UIComponent component)

### getBooleanValue

    public static java.lang.Boolean getBooleanValue(javax.faces.component.UIComponent component)

### getDateValue

    public static java.util.Date getDateValue(javax.faces.component.UIComponent component)

### getObjectValue

    public static java.lang.Object getObjectValue(javax.faces.component.UIComponent component)

### getStringValue

    public static java.lang.String getStringValue(javax.faces.context.FacesContext context,
                                                  javax.faces.el.ValueBinding vb)

### getStringValue

    public static java.lang.String getStringValue(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.component.UIComponent component)

### isDefaultAttributeValue

    public static boolean isDefaultAttributeValue(java.lang.Object value)

  See JSF Spec. 8.5 Table 8-1

  Parameters:
    `value` -
  Returns:
    boolean

### findUIOutputConverter

    public static javax.faces.convert.Converter findUIOutputConverter(javax.faces.context.FacesContext facesContext,
                                                                      javax.faces.component.UIOutput component)
                                                               throws javax.faces.FacesException

  Find the proper Converter for the given UIOutput component.

  Returns:
    the Converter or null if no Converter specified or needed
  Throws:
    `javax.faces.FacesException` - if the Converter could not be created

### findUISelectManyConverter

    public static javax.faces.convert.Converter findUISelectManyConverter(javax.faces.context.FacesContext facesContext,
                                                                          javax.faces.component.UISelectMany component)

  Find proper Converter for the entries in the associated List or Array of the given UISelectMany as specified in API Doc of UISelectMany.

  Returns:
    the Converter or null if no Converter specified or needed
  Throws:
    `javax.faces.FacesException` - if the Converter could not be created

### checkParamValidity

    public static void checkParamValidity(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent uiComponent,
                                          java.lang.Class compClass)

### renderChildren

    public static void renderChildren(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent component)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderChild

    public static void renderChild(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent child)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSelectItemList

    public static java.util.List getSelectItemList(javax.faces.component.UISelectOne uiSelectOne)

  Parameters:
    `uiSelectOne` -
  Returns:
    List of SelectItem Objects

### getSelectItemList

    public static java.util.List getSelectItemList(javax.faces.component.UISelectMany uiSelectMany)

  Parameters:
    `uiSelectMany` -
  Returns:
    List of SelectItem Objects

### getSubmittedValuesAsSet

    public static java.util.Set getSubmittedValuesAsSet(javax.faces.context.FacesContext context,
                                                        javax.faces.component.UIComponent component,
                                                        javax.faces.convert.Converter converter,
                                                        javax.faces.component.UISelectMany uiSelectMany)

  Convenient utility method that returns the currently submitted values of a UISelectMany component as a Set, of which the contains method can then be easily used to determine if a select item is currently selected. Calling the contains method of this Set with the renderable (String converted) item value as argument returns true if this item is selected.

  Parameters:
    `uiSelectMany` -
  Returns:
    Set containing all currently selected values

### getSelectedValuesAsSet

    public static java.util.Set getSelectedValuesAsSet(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component,
                                                       javax.faces.convert.Converter converter,
                                                       javax.faces.component.UISelectMany uiSelectMany)

  Convenient utility method that returns the currently selected values of a UISelectMany component as a Set, of which the contains method can then be easily used to determine if a value is currently selected. Calling the contains method of this Set with the item value as argument returns true if this item is selected.

  Parameters:
    `uiSelectMany` -
  Returns:
    Set containing all currently selected values

### getConvertedStringValue

    public static java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                           javax.faces.component.UIComponent component,
                                                           javax.faces.convert.Converter converter,
                                                           java.lang.Object value)

  Convenient utility method that returns the currently given value as String, using the given converter. Especially usefull for dealing with primitive types.

### getConvertedStringValue

    public static java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                           javax.faces.component.UIComponent component,
                                                           javax.faces.convert.Converter converter,
                                                           javax.faces.model.SelectItem selectItem)

  Convenient utility method that returns the currently given SelectItem value as String, using the given converter. Especially usefull for dealing with primitive types.

### getConvertedUIOutputValue

    public static java.lang.Object getConvertedUIOutputValue(javax.faces.context.FacesContext facesContext,
                                                             javax.faces.component.UIOutput output,
                                                             java.lang.Object submittedValue)
                                                      throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getConvertedUISelectManyValue

    public static java.lang.Object getConvertedUISelectManyValue(javax.faces.context.FacesContext facesContext,
                                                                 javax.faces.component.UISelectMany selectMany,
                                                                 java.lang.Object submittedValue)
                                                          throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getBooleanAttribute

    public static boolean getBooleanAttribute(javax.faces.component.UIComponent component,
                                              java.lang.String attrName,
                                              boolean defaultValue)

### getIntegerAttribute

    public static int getIntegerAttribute(javax.faces.component.UIComponent component,
                                          java.lang.String attrName,
                                          int defaultValue)

### findNestingForm

    public static FormInfo findNestingForm(javax.faces.component.UIComponent uiComponent,
                                           javax.faces.context.FacesContext facesContext)

  Find the enclosing form of a component in the view-tree. All Subclasses of `UIForm` and all known form-families are searched for. Currently those are the Trinidad form family, and the (old) ADF Faces form family.

  There might be additional form families which have to be explicitly entered here.

  Parameters:
    `uiComponent` -
    `facesContext` -
  Returns:
    FormInfo Information about the form - the form itself and its name.

### getBooleanValue

    public static boolean getBooleanValue(java.lang.String attribute,
                                          java.lang.Object value,
                                          boolean defaultValue)

### copyHtmlInputTextAttributes

    public static void copyHtmlInputTextAttributes(javax.faces.component.html.HtmlInputText src,
                                                   javax.faces.component.html.HtmlInputText dest)

### findComponent

    public static javax.faces.component.UIComponent findComponent(javax.faces.component.UIComponent headerComp,
                                                                  java.lang.Class clazz)

### addOrReplaceChild

    public static void addOrReplaceChild(javax.faces.component.UIInput component,
                                         javax.faces.component.UIComponent child)

### getClientId

    public static java.lang.String getClientId(javax.faces.context.FacesContext facesContext,
                                               javax.faces.component.UIComponent uiComponent,
                                               java.lang.String forAttr)

### convertIdsToClientIds

    public static java.util.List convertIdsToClientIds(java.lang.String actionFor,
                                                       javax.faces.context.FacesContext facesContext,
                                                       javax.faces.component.UIComponent component)

### convertPhasesToPhasesIds

    public static java.util.List convertPhasesToPhasesIds(java.lang.String actionForPhase)

### loadResourceFile

    public static java.lang.String loadResourceFile(javax.faces.context.FacesContext ctx,
                                                    java.lang.String file)

  Helper method which loads a resource file (such as css) by a given context path and a file name. Useful to provide css files (or js files) inline.

  Parameters:
    `ctx` - `FacesContext` object to calculate the context path of the web application.
    `file` - name of the resource file (e.g. `foo.css`).
  Returns:
    the content of the resource file, or `null` if no such file is available.

### initPartialValidationAndModelUpdate

    public static void initPartialValidationAndModelUpdate(javax.faces.component.UIComponent component,
                                                           javax.faces.context.FacesContext facesContext)

  check for partial validation or model update attributes being set and initialize the request-map accordingly. SubForms will work with this information.

### isAdfOrTrinidadForm

    public static boolean isAdfOrTrinidadForm(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.